package com.tofly.feesapi.dzht.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.common.core.ResultRespone;
import com.tofly.feesapi.dzht.entity.HtFiles;
import com.tofly.feesapi.dzht.entity.dto.HtGhDto;
import com.tofly.feesapi.dzht.entity.dto.HtXhDto;
import com.tofly.feesapi.dzht.entity.dto.HtXzbgDto;
import com.tofly.feesapi.dzht.entity.vo.HtPreviewParameter;
import com.tofly.feesapi.file.entity.File;

/**
 * 电子合同文件
 *
 * @author admin
 * @date Tue Nov 19 00:00:00 GMT+08:00 2024
 */
public interface HtFilesService extends IService<HtFiles> {

    ResultRespone WordToPdf(HtPreviewParameter htPreviewParameter);

    File XH_WordToPdf(HtXhDto dtp);

    File GH_WordToPdf(HtGhDto dto);

    File XZBG_WordToPdf(HtXzbgDto dto);

}
